/[gentoo-x86]/eclass/autotools.eclass
Gentoo

Diff of /eclass/autotools.eclass

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.131 Revision 1.134
1# Copyright 1999-2012 Gentoo Foundation 1# Copyright 1999-2012 Gentoo Foundation
2# Distributed under the terms of the GNU General Public License v2 2# Distributed under the terms of the GNU General Public License v2
3# $Header: /var/cvsroot/gentoo-x86/eclass/autotools.eclass,v 1.131 2012/05/20 10:26:05 vapier Exp $ 3# $Header: /var/cvsroot/gentoo-x86/eclass/autotools.eclass,v 1.134 2012/05/20 12:31:32 vapier Exp $
4 4
5# @ECLASS: autotools.eclass 5# @ECLASS: autotools.eclass
6# @MAINTAINER: 6# @MAINTAINER:
7# base-system@gentoo.org 7# base-system@gentoo.org
8# @BLURB: Regenerates auto* build scripts 8# @BLURB: Regenerates auto* build scripts
14# from the GNU version of m4 without worrying about other variants (i.e. BSD). 14# from the GNU version of m4 without worrying about other variants (i.e. BSD).
15 15
16if [[ ${___ECLASS_ONCE_AUTOTOOLS} != "recur -_+^+_- spank" ]] ; then 16if [[ ${___ECLASS_ONCE_AUTOTOOLS} != "recur -_+^+_- spank" ]] ; then
17___ECLASS_ONCE_AUTOTOOLS="recur -_+^+_- spank" 17___ECLASS_ONCE_AUTOTOOLS="recur -_+^+_- spank"
18 18
19inherit eutils libtool 19inherit libtool
20 20
21# @ECLASS-VARIABLE: WANT_AUTOCONF 21# @ECLASS-VARIABLE: WANT_AUTOCONF
22# @DESCRIPTION: 22# @DESCRIPTION:
23# The major version of autoconf your package needs 23# The major version of autoconf your package needs
24: ${WANT_AUTOCONF:=latest} 24: ${WANT_AUTOCONF:=latest}
47 47
48_automake_atom="sys-devel/automake" 48_automake_atom="sys-devel/automake"
49_autoconf_atom="sys-devel/autoconf" 49_autoconf_atom="sys-devel/autoconf"
50if [[ -n ${WANT_AUTOMAKE} ]]; then 50if [[ -n ${WANT_AUTOMAKE} ]]; then
51 case ${WANT_AUTOMAKE} in 51 case ${WANT_AUTOMAKE} in
52 none) _automake_atom="" ;; # some packages don't require automake at all 52 # Even if the package doesn't use automake, we still need to depend
53 # if you change the "latest" version here, change also autotools_run_tool 53 # on it because we run aclocal to process m4 macros. This matches
54 # this MUST reflect the latest stable major version for each arch! 54 # the autoreconf tool, so this requirement is correct. #401605
55 none) ;;
55 latest) 56 latest)
56 # Use SLOT deps if we can. For EAPI=0, we get pretty close. 57 # Use SLOT deps if we can. For EAPI=0, we get pretty close.
57 if [[ ${EAPI:-0} != 0 ]] ; then 58 if [[ ${EAPI:-0} != 0 ]] ; then
58 _automake_atom="|| ( `printf '>=sys-devel/automake-%s:%s ' ${_LATEST_AUTOMAKE[@]/:/ }` )" 59 _automake_atom="|| ( `printf '>=sys-devel/automake-%s:%s ' ${_LATEST_AUTOMAKE[@]/:/ }` )"
59 else 60 else
160 local macdir=$(autotools_get_macrodir) 161 local macdir=$(autotools_get_macrodir)
161 162
162 einfo "Running eautoreconf in '${PWD}' ..." 163 einfo "Running eautoreconf in '${PWD}' ..."
163 [[ -n ${auxdir}${macdir} ]] && mkdir -p ${auxdir} ${macdir} 164 [[ -n ${auxdir}${macdir} ]] && mkdir -p ${auxdir} ${macdir}
164 eaclocal 165 eaclocal
166 if grep -q '^AM_GNU_GETTEXT_VERSION' configure.?? ; then
167 eautopoint --force
168 fi
165 [[ ${CHOST} == *-darwin* ]] && g=g 169 [[ ${CHOST} == *-darwin* ]] && g=g
166 if ${LIBTOOLIZE:-${g}libtoolize} -n --install >& /dev/null ; then 170 if ${LIBTOOLIZE:-${g}libtoolize} -n --install >& /dev/null ; then
167 _elibtoolize --copy --force --install 171 _elibtoolize --copy --force --install
168 else 172 else
169 _elibtoolize --copy --force 173 _elibtoolize --copy --force

Legend:
Removed from v.1.131  
changed lines
  Added in v.1.134

  ViewVC Help
Powered by ViewVC 1.1.20